import { Hero6Utility } from "./hero6-utility.js";

export const defaultItemImg = {
  advantage: "systems/fvtt-hero-system-6/images/icons/HeroIcon-Adavantage.webp",
  skill: "systems/fvtt-hero-system-6/images/icons/HeroIcon-Skills.webp",
  perk: "systems/fvtt-hero-system-6/images/icons/HeroIcon-Perks.webp",
  attack: "systems/fvtt-hero-system-6/images/icons/HeroIcon-Attack.webp",
  talent: "systems/fvtt-hero-system-6/images/icons/HeroIcon-Talents.webp",
  power: "systems/fvtt-hero-system-6/images/icons/HeroIcon-Powers.webp",
  limitation: "systems/fvtt-hero-system-6/images/icons/HeroIcon-Limitation.webp",
  complication: "systems/fvtt-hero-system-6/images/icons/HeroIcon-Complications.webp",
  equipment: "systems/fvtt-hero-system-6/images/icons/HeroIcon-Equipment.webp",
  defense: "systems/fvtt-hero-system-6/images/icons/HeroIcon-Defense.webp",
  maneuver: "systems/fvtt-hero-system-6/images/icons/HeroIcon-Maneuver.webp",
  maneuver: "systems/fvtt-hero-system-6/images/icons/HeroIcon-Maneuver.webp",
  movement: "systems/fvtt-hero-system-6/images/icons/HeroIcon-Movement.webp",
  }

/**
 * Extend the basic ItemSheet with some very simple modifications
 * @extends {ItemSheet}
 */
export class Hero6Item extends Item {

  constructor(data, context) {
    if (!data.img) {
      data.img = defaultItemImg[data.type];
    }
    super(data, context);
  }

}
